apps/accounts/urls.py
from django.urls import path

from . import views

app_name = 'accounts'

urlpatterns = [
    path('novo-usuario/', views.add_user, name='add_user'),
    path('login/', views.user_login, name='user_login'),
    path('sair/', views.user_logout, name='user_logout'),
    path('alterar-senha/', views.user_change_password, name='user_change_password'),
    path('meu-perfil/', views.list_user_profile, name='list_user_profile'),
    path('novo-perfil/', views.add_user_profile, name='add_user_profile'),
    path('alterar-perfil/<username>/', views.change_user_profile, name='change_user_profile'),
    path('alterar-usuario/<username>/', views.change_user_information, name='change_user_information'),
]

apps/core/urls.py
from django.urls import path

app_name = 'core'

from . import views

urlpatterns = [
    path('buscar/', views.search_tasks, name='search_tasks'),
    path('', views.home, name='home'),
]

apps/tasks/urls.py
from django.urls import path

from . import views

app_name = 'tasks'

urlpatterns = [
    path('categorias/', views.list_categories, name='list_categories'),
    path('categorias/adicionar/', views.add_category, name='add_category'),
    path('categorias/editar/<int:id_category>/', views.edit_category, name='edit_category'),
    path('categorias/excluir/<int:id_category>/', views.delete_category, name='delete_category'),
    path('adicionar/', views.add_task, name='add_task'),
    path('editar/<int:id_task>/', views.edit_task, name='edit_task'),
    path('excluir/<int:id_task>/', views.task_delete, name='task_delete'),
    path('', views.tasks_list, name='tasks_list'),
]

todoapp/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static


urlpatterns = [
    path('admin/', admin.site.urls),
    path('tarefas/', include('tasks.urls', namespace='tasks')),
    path('contas/', include('accounts.urls', namespace='accounts')),
    path('', include('core.urls', namespace='core')),
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
# urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

apps/tasks/models.py
from django.db import models

from django.contrib.auth.models import User

# Create your models here.

class Category(models.Model):
    name = models.CharField('Nome', max_length=150)
    description = models.TextField('Descrição', blank=True, null=True)
    owner = models.ForeignKey(User, on_delete=models.CASCADE)

    class Meta:
        verbose_name = 'Categoria'
        verbose_name_plural = 'Categorias'
        ordering = ['id']
    
    def __str__(self):
        return self.name

class Task(models.Model):
    PRIORITY_CHOICES = (
        ('B', 'Baixa'),
        ('M', 'Média'),
        ('A', 'Alta'),
    )
    STATUS_CHOICES = (
        ('EX', 'Em execução'),
        ('PD', 'Pendente'),
        ('CD', 'Concluída'),
    )
    name = models.CharField('Tarefa', max_length=200)
    description = models.TextField('Descrição')
    end_date = models.DateField('Data final', auto_now=False, auto_now_add=False)
    priority = models.CharField('Prioridade', max_length=1, choices=PRIORITY_CHOICES)
    category = models.ManyToManyField(Category)
    status = models.CharField('Status', max_length=2, choices=STATUS_CHOICES)
    owner = models.ForeignKey(User, on_delete=models.CASCADE)

    class Meta:
        verbose_name = 'Tarefa'
        verbose_name_plural = 'Tarefas'
        ordering = ['id']
    
    def __str__(self):
        return self.name
    
    def list_categories(self):
        return ", ".join([c.name for c in self.category.all()])
    list_categories.short_description = "Categorias"

templates/base.html
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/select2.min.css' %}">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="/resources/demos/style.css">
    <title>{% block title %} TodoApp {% endblock title %}</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <div class="container">
    <a class="navbar-brand" href="/">TodoApp</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExample07" aria-controls="navbarsExample07" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarsExample07">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="dropdown07" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Menu</a>
          <div class="dropdown-menu" aria-labelledby="dropdown07">
            <a class="dropdown-item" href="{% url 'tasks:add_category' %}">Adicionar categoria</a>
            <a class="dropdown-item" href="{% url 'tasks:list_categories' %}">Listar categorias</a>
            <a class="dropdown-item" href="{% url 'tasks:add_task' %}">Adicionar tarefa</a>
            <a class="dropdown-item" href="{% url 'tasks:tasks_list' %}">Listar tarefas</a>
          </div>
        </li>
      </ul>
      <form class="form-inline my-2 my-md-0" action="{% url 'core:search_tasks' %}" style="margin-right:10px" autocomplete="off">
        <input class="form-control" name="query" type="text" placeholder="Digite o termo da busca" aria-label="Search" style="margin-right:10px">
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Buscar</button>
      </form>
      {% if user.is_authenticated %}
        <ul class="navbar-nav">
          <li class="nav-item">
            {% if user.profile.photo %}
              <img src="{{ user.profile.photo.url }}" class="rounded-circle" width="40" height="40">
            {% else %}
              <img src="{% static 'img/user.png' %}" class="rounded-circle" width="40" height="40">
            {% endif %}
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="dropdown07" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">{{ user.get_full_name|default:user.username }}</a>
            <div class="dropdown-menu" aria-labelledby="dropdown07">
              <a class="dropdown-item" href="{% url 'accounts:list_user_profile' %}">Perfil</a>
              <a class="dropdown-item" href="{% url 'accounts:user_change_password' %}">Trocar senha</a>
              <a class="dropdown-item" href="{% url 'accounts:change_user_information' user.username %}">Outras informações</a>
              <a class="dropdown-item" href="{% url 'accounts:user_logout' %}">Sair</a>
            </div>
          </li>
        </ul>
      {% endif %}
    </div>
  </div>
</nav>

    {% block body %}

    
    {% endblock body %}

    <script src="{% static 'js/jquery-3.4.1.min.js' %}"></script>
    <script src="{% static 'js/bootstrap.min.js' %}"></script>
    <script src="{% static 'js/select2.min.js' %}"></script>
    <script src="{% static 'js/jquery.mask.min.js' %}"></script>
    <script src="{% static 'js/mask.js' %}"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script>
        $(document).on('click', '.confirm-delete', function() {
          $('#confirmDeleteModal').attr('caller-id', $(this).attr('id'));
        });
        $(document).on('click', '#confirmDeleteButtonModal', function() {
          var caller = $('#confirmDeleteButtonModal').closest('.modal').attr('caller-id');
          window.location = $('#'.concat(caller)).attr('href');
        });
        $(function() {
          $('#id_end_date').datepicker(
            {
              dateFormat: "dd/mm/yy",
              dayNamesMin: ["Dom", "Seg", "Ter", "Qua", "Qui", "Sex", "Sáb"],
              monthNames: ["Janeiro", "Fevereiro", "Março", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro"]
            }
          );
        });
        $(document).ready(function() {
          $('#id_category').select2();
        });
  </script>
</body>
</html>